IF NOT OBJECT_ID('TRG_EST_ALCADA_CP_PED_LIB_AGENDA') IS NULL
	BEGIN 
		DROP TRIGGER TRG_EST_ALCADA_CP_PED_LIB_AGENDA
	END
	
GO	


CREATE TRIGGER TRG_EST_ALCADA_CP_PED_LIB_AGENDA ON EST_ALCADA_CP_PED_LIB FOR INSERT
AS 
	BEGIN
		DECLARE @CD_CTR INT 
		
		SET @CD_CTR = (SELECT TOP 1 CD_CTR FROM INSERTED)
		
		IF EXISTS (SELECT T.CD_CTR 
				   FROM  EST_ALCADA_CP_PED_EST_PED_ELTR_SUPRIMENTO_AGENDA T
				   WHERE T.CD_CTR = @CD_CTR)
			BEGIN
				EXECUTE P_EST_PROD_FABRIC_AGENDA_ALCADA @CD_CTR
			END
		ELSE
			BEGIN
				EXECUTE P_EST_PROD_FABRIC_AGENDA_GRUPO_ALCADA @CD_CTR
			END
			
	END